﻿using System;
using System.Collections.Generic;
using System.Text;
using Xamarin.Forms;
using Syncfusion.SfSchedule.XForms;

namespace Schedule
{
    public class ScheduleBehavior : Behavior<ContentPage>
    {
        SfSchedule schedule;
        protected override void OnAttachedTo(ContentPage bindable)
        {
            base.OnAttachedTo(bindable);
            schedule = bindable.FindByName<SfSchedule>("schedule");
            var dateTime = DateTime.Now.Date.AddMonths(-1);

            ScheduleAppointmentCollection scheduleAppointmentCollection = new ScheduleAppointmentCollection();
            for (int i = 0; i < 100; i++)
            {
                for (int j = 0; j < 10; j++)
                {
                    scheduleAppointmentCollection.Add(new ScheduleAppointment()
                    {
                        StartTime = dateTime.AddHours(-dateTime.Hour).AddDays(i).AddHours(j),
                        EndTime = dateTime.AddHours(-dateTime.Hour).AddDays(i).AddHours(j + 1),
                        Subject = "Meeting",
                        IsAllDay = true
                    });
                }
            }
            schedule.DataSource = scheduleAppointmentCollection;
        }
       
    }
}
